FolderDto (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.obj
Class FolderDto

    java.lang.Object
      org.gcube.datatransfer.portlets.user.shared.obj.BaseDto
          org.gcube.datatransfer.portlets.user.shared.obj.FolderDto

All Implemented Interfaces:
  com.kfuntak.gwt.json.serialization.client.JsonSerializable, com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>

    public class FolderDto

extends BaseDto
implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

Constructor Summary
`FolderDto()`
`FolderDto(Integer id, String name)`

Method Summary
`void` | `addChild(FolderDto child)`
`static com.kfuntak.gwt.json.serialization.client.Serializer` | `createSerializer()`
`List<FolderDto>` | `getChildren()`
`void` | `setChildren(List<FolderDto> children)`

Methods inherited from class org.gcube.datatransfer.portlets.user.shared.obj.BaseDto
`getData, getId, getIdInWorkspace, getLink, getName, getParentIdInWorkspace, getShortname, setId, setIdInWorkspace, setLink, setName, setParentIdInWorkspace, setShortname, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FolderDto

    public FolderDto()

### FolderDto

    public FolderDto(Integer id,
                     String name)

Method Detail

### createSerializer

    public static com.kfuntak.gwt.json.serialization.client.Serializer createSerializer()

### getChildren

    public List<FolderDto> getChildren()

  Specified by:
    `getChildren` in interface `com.sencha.gxt.data.shared.TreeStore.TreeNode<BaseDto>`
  Overrides:
    `getChildren` in class `BaseDto`

### setChildren

    public void setChildren(List<FolderDto> children)

### addChild

    public void addChild(FolderDto child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.